## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           simdutf
Version:        3.0.0
Release:        %autorelease
Summary:        Unicode validation and transcoding at billions of characters per second

License:        Apache-2.0 AND BSD-3-Clause
URL:			https://github.com/simdutf/simdutf
Source0:		%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:			simdutf-fix-cmake.patch

ExcludeArch:	s390 s390x

BuildRequires:  cmake
BuildRequires:	gcc-c++
%ifnarch %{arm}
BuildRequires:	libasan
%endif

%description
Unicode (UTF8, UTF16, UTF32) validation and transcoding at billions of 
characters per second using SSE2, AVX2, NEON, AVX-512.

%package devel
Summary: Development files for %{name}
Requires:		simdutf = %{version}-%{release}

%description devel
The package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake -DSIMDUTF_BENCHMARKS=OFF -DSIMDUTF_TOOLS=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%ldconfig_scriptlets

%files
%license LICENSE-APACHE
%doc AUTHORS README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib%{name}*.so

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 aekoroglu <aekoroglu@linux.intel.com> - 3.0.0-1
- update to 3.0.0

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-3
- devel version control

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-2
- delete accidental add

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-1
- update to 2.0.9

* Fri Nov 11 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.2-2
- exclude s390 and s390x

* Fri Nov 11 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.2-1
- 1st fedora release
